vsgImGui: ImGuiContext Struct Reference

vsgImGui 0.5.0 VulkanSceneGraph, ImGui and ImPlot integration library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ImGuiContext Struct Reference

## Public Member Functions
| ImGuiContext (ImFontAtlas *shared_font_atlas)

## Public Attributes
bool | Initialized
bool | FontAtlasOwnedByContext
ImGuiIO | IO
ImGuiStyle | Style
ImFont * | Font
float | FontSize
float | FontBaseSize
float | CurrentDpiScale
ImDrawListSharedData | DrawListSharedData
double | Time
int | FrameCount
int | FrameCountEnded
int | FrameCountRendered
bool | WithinFrameScope
bool | WithinFrameScopeWithImplicitWindow
bool | WithinEndChild
bool | GcCompactAll
bool | TestEngineHookItems
void * | TestEngine
char | ContextName [16]
ImVector< ImGuiInputEvent > | InputEventsQueue
ImVector< ImGuiInputEvent > | InputEventsTrail
ImGuiMouseSource | InputEventsNextMouseSource
ImU32 | InputEventsNextEventId
ImVector< ImGuiWindow * > | Windows
ImVector< ImGuiWindow * > | WindowsFocusOrder
ImVector< ImGuiWindow * > | WindowsTempSortBuffer
ImVector< ImGuiWindowStackData > | CurrentWindowStack
ImGuiStorage | WindowsById
int | WindowsActiveCount
ImVec2 | WindowsHoverPadding
ImGuiID | DebugBreakInWindow
ImGuiWindow * | CurrentWindow
ImGuiWindow * | HoveredWindow
ImGuiWindow * | HoveredWindowUnderMovingWindow
ImGuiWindow * | HoveredWindowBeforeClear
ImGuiWindow * | MovingWindow
ImGuiWindow * | WheelingWindow
ImVec2 | WheelingWindowRefMousePos
int | WheelingWindowStartFrame
int | WheelingWindowScrolledFrame
float | WheelingWindowReleaseTimer
ImVec2 | WheelingWindowWheelRemainder
ImVec2 | WheelingAxisAvg
ImGuiID | DebugHookIdInfo
ImGuiID | HoveredId
ImGuiID | HoveredIdPreviousFrame
float | HoveredIdTimer
float | HoveredIdNotActiveTimer
bool | HoveredIdAllowOverlap
bool | HoveredIdIsDisabled
bool | ItemUnclipByLog
ImGuiID | ActiveId
ImGuiID | ActiveIdIsAlive
float | ActiveIdTimer
bool | ActiveIdIsJustActivated
bool | ActiveIdAllowOverlap
bool | ActiveIdNoClearOnFocusLoss
bool | ActiveIdHasBeenPressedBefore
bool | ActiveIdHasBeenEditedBefore
bool | ActiveIdHasBeenEditedThisFrame
bool | ActiveIdFromShortcut
int | ActiveIdMouseButton: 8
ImVec2 | ActiveIdClickOffset
ImGuiWindow * | ActiveIdWindow
ImGuiInputSource | ActiveIdSource
ImGuiID | ActiveIdPreviousFrame
bool | ActiveIdPreviousFrameIsAlive
bool | ActiveIdPreviousFrameHasBeenEditedBefore
ImGuiWindow * | ActiveIdPreviousFrameWindow
ImGuiID | LastActiveId
float | LastActiveIdTimer
double | LastKeyModsChangeTime
double | LastKeyModsChangeFromNoneTime
double | LastKeyboardKeyPressTime
ImBitArrayForNamedKeys | KeysMayBeCharInput
ImGuiKeyOwnerData | KeysOwnerData [ImGuiKey_NamedKey_COUNT]
ImGuiKeyRoutingTable | KeysRoutingTable
ImU32 | ActiveIdUsingNavDirMask
bool | ActiveIdUsingAllKeyboardKeys
ImGuiKeyChord | DebugBreakInShortcutRouting
ImU32 | ActiveIdUsingNavInputMask
ImGuiID | CurrentFocusScopeId
ImGuiItemFlags | CurrentItemFlags
ImGuiID | DebugLocateId
ImGuiNextItemData | NextItemData
ImGuiLastItemData | LastItemData
ImGuiNextWindowData | NextWindowData
bool | DebugShowGroupRects
ImGuiCol | DebugFlashStyleColorIdx
ImVector< ImGuiColorMod > | ColorStack
ImVector< ImGuiStyleMod > | StyleVarStack
ImVector< ImFont * > | FontStack
ImVector< ImGuiFocusScopeData > | FocusScopeStack
ImVector< ImGuiItemFlags > | ItemFlagsStack
ImVector< ImGuiGroupData > | GroupStack
ImVector< ImGuiPopupData > | OpenPopupStack
ImVector< ImGuiPopupData > | BeginPopupStack
ImVector< ImGuiNavTreeNodeData > | NavTreeNodeStack
ImVector< ImGuiViewportP * > | Viewports
ImGuiWindow * | NavWindow
ImGuiID | NavId
ImGuiID | NavFocusScopeId
ImGuiNavLayer | NavLayer
ImGuiID | NavActivateId
ImGuiID | NavActivateDownId
ImGuiID | NavActivatePressedId
ImGuiActivateFlags | NavActivateFlags
ImVector< ImGuiFocusScopeData > | NavFocusRoute
ImGuiID | NavHighlightActivatedId
float | NavHighlightActivatedTimer
ImGuiID | NavNextActivateId
ImGuiActivateFlags | NavNextActivateFlags
ImGuiInputSource | NavInputSource
ImGuiSelectionUserData | NavLastValidSelectionUserData
bool | NavIdIsAlive
bool | NavMousePosDirty
bool | NavDisableHighlight
bool | NavDisableMouseHover
bool | NavAnyRequest
bool | NavInitRequest
bool | NavInitRequestFromMove
ImGuiNavItemData | NavInitResult
bool | NavMoveSubmitted
bool | NavMoveScoringItems
bool | NavMoveForwardToNextFrame
ImGuiNavMoveFlags | NavMoveFlags
ImGuiScrollFlags | NavMoveScrollFlags
ImGuiKeyChord | NavMoveKeyMods
ImGuiDir | NavMoveDir
ImGuiDir | NavMoveDirForDebug
ImGuiDir | NavMoveClipDir
ImRect | NavScoringRect
ImRect | NavScoringNoClipRect
int | NavScoringDebugCount
int | NavTabbingDir
int | NavTabbingCounter
ImGuiNavItemData | NavMoveResultLocal
ImGuiNavItemData | NavMoveResultLocalVisible
ImGuiNavItemData | NavMoveResultOther
ImGuiNavItemData | NavTabbingResultFirst
ImGuiID | NavJustMovedFromFocusScopeId
ImGuiID | NavJustMovedToId
ImGuiID | NavJustMovedToFocusScopeId
ImGuiKeyChord | NavJustMovedToKeyMods
bool | NavJustMovedToIsTabbing
bool | NavJustMovedToHasSelectionData
ImGuiKeyChord | ConfigNavWindowingKeyNext
ImGuiKeyChord | ConfigNavWindowingKeyPrev
ImGuiWindow * | NavWindowingTarget
ImGuiWindow * | NavWindowingTargetAnim
ImGuiWindow * | NavWindowingListWindow
float | NavWindowingTimer
float | NavWindowingHighlightAlpha
bool | NavWindowingToggleLayer
ImGuiKey | NavWindowingToggleKey
ImVec2 | NavWindowingAccumDeltaPos
ImVec2 | NavWindowingAccumDeltaSize
float | DimBgRatio
bool | DragDropActive
bool | DragDropWithinSource
bool | DragDropWithinTarget
ImGuiDragDropFlags | DragDropSourceFlags
int | DragDropSourceFrameCount
int | DragDropMouseButton
ImGuiPayload | DragDropPayload
ImRect | DragDropTargetRect
ImRect | DragDropTargetClipRect
ImGuiID | DragDropTargetId
ImGuiDragDropFlags | DragDropAcceptFlags
float | DragDropAcceptIdCurrRectSurface
ImGuiID | DragDropAcceptIdCurr
ImGuiID | DragDropAcceptIdPrev
int | DragDropAcceptFrameCount
ImGuiID | DragDropHoldJustPressedId
ImVector< unsigned char > | DragDropPayloadBufHeap
unsigned char | DragDropPayloadBufLocal [16]
int | ClipperTempDataStacked
ImVector< ImGuiListClipperData > | ClipperTempData
ImGuiTable * | CurrentTable
ImGuiID | DebugBreakInTable
int | TablesTempDataStacked
ImVector< ImGuiTableTempData > | TablesTempData
ImPool< ImGuiTable > | Tables
ImVector< float > | TablesLastTimeActive
ImVector< ImDrawChannel > | DrawChannelsTempMergeBuffer
ImGuiTabBar * | CurrentTabBar
ImPool< ImGuiTabBar > | TabBars
ImVector< ImGuiPtrOrIndex > | CurrentTabBarStack
ImVector< ImGuiShrinkWidthItem > | ShrinkWidthBuffer
ImGuiID | HoverItemDelayId
ImGuiID | HoverItemDelayIdPreviousFrame
float | HoverItemDelayTimer
float | HoverItemDelayClearTimer
ImGuiID | HoverItemUnlockedStationaryId
ImGuiID | HoverWindowUnlockedStationaryId
ImGuiMouseCursor | MouseCursor
float | MouseStationaryTimer
ImVec2 | MouseLastValidPos
ImGuiInputTextState | InputTextState
ImGuiInputTextDeactivatedState | InputTextDeactivatedState
ImFont | InputTextPasswordFont
ImGuiID | TempInputId
ImGuiDataTypeStorage | DataTypeZeroValue
int | BeginMenuDepth
int | BeginComboDepth
ImGuiColorEditFlags | ColorEditOptions
ImGuiID | ColorEditCurrentID
ImGuiID | ColorEditSavedID
float | ColorEditSavedHue
float | ColorEditSavedSat
ImU32 | ColorEditSavedColor
ImVec4 | ColorPickerRef
ImGuiComboPreviewData | ComboPreviewData
ImRect | WindowResizeBorderExpectedRect
bool | WindowResizeRelativeMode
short | ScrollbarSeekMode
float | ScrollbarClickDeltaToGrabCenter
float | SliderGrabClickOffset
float | SliderCurrentAccum
bool | SliderCurrentAccumDirty
bool | DragCurrentAccumDirty
float | DragCurrentAccum
float | DragSpeedDefaultRatio
float | DisabledAlphaBackup
short | DisabledStackSize
short | LockMarkEdited
short | TooltipOverrideCount
ImVector< char > | ClipboardHandlerData
ImVector< ImGuiID > | MenusIdSubmittedThisFrame
ImGuiTypingSelectState | TypingSelectState
ImGuiPlatformImeData | PlatformImeData
ImGuiPlatformImeData | PlatformImeDataPrev
bool | SettingsLoaded
float | SettingsDirtyTimer
ImGuiTextBuffer | SettingsIniData
ImVector< ImGuiSettingsHandler > | SettingsHandlers
ImChunkStream< ImGuiWindowSettings > | SettingsWindows
ImChunkStream< ImGuiTableSettings > | SettingsTables
ImVector< ImGuiContextHook > | Hooks
ImGuiID | HookIdNext
const char * | LocalizationTable [ImGuiLocKey_COUNT]
bool | LogEnabled
ImGuiLogType | LogType
ImFileHandle | LogFile
ImGuiTextBuffer | LogBuffer
const char * | LogNextPrefix
const char * | LogNextSuffix
float | LogLinePosY
bool | LogLineFirstItem
int | LogDepthRef
int | LogDepthToExpand
int | LogDepthToExpandDefault
ImGuiDebugLogFlags | DebugLogFlags
ImGuiTextBuffer | DebugLogBuf
ImGuiTextIndex | DebugLogIndex
ImGuiDebugLogFlags | DebugLogAutoDisableFlags
ImU8 | DebugLogAutoDisableFrames
ImU8 | DebugLocateFrames
bool | DebugBreakInLocateId
ImGuiKeyChord | DebugBreakKeyChord
ImS8 | DebugBeginReturnValueCullDepth
bool | DebugItemPickerActive
ImU8 | DebugItemPickerMouseButton
ImGuiID | DebugItemPickerBreakId
float | DebugFlashStyleColorTime
ImVec4 | DebugFlashStyleColorBackup
ImGuiMetricsConfig | DebugMetricsConfig
ImGuiIDStackTool | DebugIDStackTool
ImGuiDebugAllocInfo | DebugAllocInfo
float | FramerateSecPerFrame [60]
int | FramerateSecPerFrameIdx
int | FramerateSecPerFrameCount
float | FramerateSecPerFrameAccum
int | WantCaptureMouseNextFrame
int | WantCaptureKeyboardNextFrame
int | WantTextInputNextFrame
ImVector< char > | TempBuffer
char | TempKeychordName [64]

The documentation for this struct was generated from the following file:

- include/vsgImGui/imgui_internal.h